org.apache.hadoop.mapreduce.v2.proto

## Interface MRProtos.CountersProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    MRProtos.CountersProto, MRProtos.CountersProto.Builder
  Enclosing class:
    MRProtos

      public static interface MRProtos.CountersProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRProtos.StringCounterGroupMapProto` | `getCounterGroups(int index)` `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`
    `int` | `getCounterGroupsCount()` `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`
    `List<MRProtos.StringCounterGroupMapProto>` | `getCounterGroupsList()` `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`
    `MRProtos.StringCounterGroupMapProtoOrBuilder` | `getCounterGroupsOrBuilder(int index)` `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`
    `List<? extends MRProtos.StringCounterGroupMapProtoOrBuilder>` | `getCounterGroupsOrBuilderList()` `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getCounterGroupsList

          List<MRProtos.StringCounterGroupMapProto> getCounterGroupsList()

      `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`

    - #### getCounterGroups

          MRProtos.StringCounterGroupMapProto getCounterGroups(int index)

      `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`

    - #### getCounterGroupsCount

          int getCounterGroupsCount()

      `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`

    - #### getCounterGroupsOrBuilderList

          List<? extends MRProtos.StringCounterGroupMapProtoOrBuilder> getCounterGroupsOrBuilderList()

      `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`

    - #### getCounterGroupsOrBuilder

          MRProtos.StringCounterGroupMapProtoOrBuilder getCounterGroupsOrBuilder(int index)

      `repeated .hadoop.mapreduce.StringCounterGroupMapProto counter_groups = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.